Меню Рубрики

Установка purebasic на linux

purebasic.info

программирование на PureBasic в Linux

Страница 1 из 2 [ Тем: 77 ] На страницу 1 , 2 След.
Темы Автор Ответов Просмотров Последнее сообщение
linux API (Gtk+)

[ На страницу: 1 , 2 ]
Установка PureBasic на Ubuntu

[ На страницу: 1 . 4 , 5 , 6 ]
Иконка в трее

[ На страницу: 1 , 2 ]
XML в кодировке 1251

[ На страницу: 1 , 2 ]
ListIconGadget с сортировкой

[ На страницу: 1 , 2 ]
Потоки в Linux

[ На страницу: 1 , 2 , 3 ]
Разные вопросы [Linux]

[ На страницу: 1 . 8 , 9 , 10 ]
Динамическое создание элементов

[ На страницу: 1 , 2 ]
MP3 плеер для Lunux.

[ На страницу: 1 , 2 , 3 ]
PB и Linux как много энтузиастов?

[ На страницу: 1 , 2 , 3 , 4 , 5 ]
как получить радителя в линуксе

[ На страницу: 1 , 2 , 3 ]
Работа с vk.api: get запрос в linux

[ На страницу: 1 , 2 ]
Установка Purebasic на Debian wheezy

[ На страницу: 1 , 2 ]
Purebasic Red Hat Package (RPM)

[ На страницу: 1 , 2 ]
функция DisplayTranslucentSprite()

[ На страницу: 1 , 2 ]
Скриншот

[ На страницу: 1 , 2 ]
Русская Справка Linux

[ На страницу: 1 , 2 ]
Как посмотреть функции в библиотеке .so

[ На страницу: 1 , 2 ]
Страница 1 из 2 [ Тем: 77 ] На страницу 1 , 2 След.

Кто сейчас на форуме

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 3

источник

purebasic.info

Установка PureBasic на Ubuntu

Для печати Предыдущая тема | Следующая тема
Автор Сообщение
lakomet
профессор

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 17 раз.
Пункты репутации: 10

Он у меня не устанавливался(я сначала скачал с гномлука), пришлось переустанавливать ubuntu(для чистоты экспиремента).

Дело скорее всего не в теме оформления, а в драйвере+сомпиз, проверить это не могу так как в виртуалку драйвер не установишь, а на реальное железо я по тех. причинам драйвера видеокарты не ставлю.

ассистент

Зарегистрирован: Вс янв 22, 2012 2:27 pm
Сообщений: 10
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

профессор

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 17 раз.
Пункты репутации: 10

Javaca
Так как воспроизвести ошибку такую же как у Вас мне неудалось, то конкретного решения данной проблемы я сказать не могу. Я не знаю уровень Вашей подготовки в линухе, поэтому давайте так:
1) если у Вас есть возможность, отрежьте кусок на диске размером 10Гб
2) установите систему на отрезанный кусок( не устанавливая ни каких дополнительных программ, не устанавливая драйверов, не включайте всякие компизы емеральды и прочую хрень, только голую систему )
3) установите тему macbuntu
4) установите пакет purebasic_many_versions_0.3.3.deb
5) создайте папку «bin» в домашней директории
6) в папку «bin» распакуйте дистрибутив пурика
7) пробуйте запустить purebasic

Если сделав всё как я написал выше в той последовательности, и особенно учитывая то, что выделено красным, у Вас не запустится пурик, то тогда нужно изискать возможность проделать всё то же самое на другом компьютере(ну или на худой конец в виртуалке). Если и в этом случае не запустится пурик, тогда я пасс.

Если же пурик запустится, тогда начинайте устанавливать необходимые Вам программы(по одной, и после завершения установки очередной программы пробуйте запустить пурик), как только пурик не запустится, напишите сюда имя программы, после установи которой перестал запускаться пурик.

P.S. Я перепробовал все версии убунт, включая Кубунту и Хубунту, подобной проблемы версиями 4.60 и 4.61b1 воспроизвести не смог

ассистент

Зарегистрирован: Вс янв 22, 2012 2:27 pm
Сообщений: 10
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

1) Извините пожалуйста уважаемый lakomet, у меня нет времени ради одной программы заниматься мудистикой. Ни с одной программой под Линукс у меня с работоспособностью нет проблем, за исключением PureBasic 4.60

2) Если Вам поможет, то ОС ставилась Ubuntu Russian Remix 10.04 LTS (Саратовский Линукс-Центр). Затем на нее ставилась тема Macbuntu через install.sh, затем производилось обновление через «Менеджер обновлений», а потом программы.
http://www.linux-saratov.ru/download/ur . p-i386.iso

3) На моей Ubuntu ядро Линукса — 2.6.32-37-generic, версия Gnome — 2.30.2, Compiz — 0.8.6, драйвер видео NVidia (96), IPtables — залочены все входящие соединения.

профессор

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 17 раз.
Пункты репутации: 10

ассистент

Зарегистрирован: Вс янв 22, 2012 2:27 pm
Сообщений: 10
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

профессор

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 17 раз.
Пункты репутации: 10

1) если у Вас работает 4.51 и вы хотите использовать новые плюшки из 4.60, то замените «purebasic_4.60/compilers/purebasic» файлом «purebasic_4.51/compilers/purebasic«

2) можно посмотреть содержимое Вашего «/etc/apt/sources.list»

3) если не сложно запустите программу «Меню -> Администрирование -> Средство резервного копирования»

созданный ею файл выложите сюда(он текстовый, места много не займёт).

источник

purebasic.info

Установка Purebasic на Debian wheezy

Для печати Предыдущая тема | Следующая тема
Автор Сообщение
useruser
доцент

Зарегистрирован: Вт ноя 12, 2013 12:32 pm
Сообщений: 37
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

Подскажите, как установить Purebasic на Debian wheezy?
Скачал архив, распаковал. там файл INSTALL — текстовый.
В файле написано
————
Quick Installation method:
If you do not need to use the compiler from the commandline, the quickest
method is to simply extract the purebasic archive somewhere and execute
the PureBasic IDE.

Type «./purebasic» from inside the «compilers» folder, or doubleclick
on the «purebasic» executable file in your file manager.
—————
Собственно, где этот PureBasic IDE?
Много папок. Вручную ничего похожего на исполняемый файл не нашел.

МОДЕРАТОР

Зарегистрирован: Пн апр 09, 2007 4:53 pm
Сообщений: 11602
Благодарил (а): 4 раз.
Поблагодарили: 489 раз.

доцент

Зарегистрирован: Вт ноя 12, 2013 12:32 pm
Сообщений: 37
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

МОДЕРАТОР

Зарегистрирован: Пн апр 09, 2007 4:53 pm
Сообщений: 11602
Благодарил (а): 4 раз.
Поблагодарили: 489 раз.

доцент

Зарегистрирован: Вт ноя 12, 2013 12:32 pm
Сообщений: 37
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

Не очень понимаю о чём вы, уточню.

Я скачал файл purebasic_many_versions_0.4.3.deb
Запускаю — запускается архиватор. Распаковываю.
Получаю три файла — control.tar.gz data.tar.gz и debian-binary.
Запускаю debian-binary -ничего не происходит.

МОДЕРАТОР

Зарегистрирован: Пн апр 09, 2007 4:53 pm
Сообщений: 11602
Благодарил (а): 4 раз.
Поблагодарили: 489 раз.

Кликните правой кнопкой мышки по deb-файлу и возможно в меню будет что-то типа «Установить пакет».
Если нет, что установить зависимости можно вручную. Для этого запускаете менеджер пакетов (или как его там) и устанавливаете libgtk2-dev.
Если не нужна работа с 2D и 3D, того будет достаточно. Вот полный список зависимостей. viewtopic.php?p=19604#p19604

доцент

Зарегистрирован: Вт ноя 12, 2013 12:32 pm
Сообщений: 37
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

Всё что вы написали сделал. Без результата.

Делал на 2х разных версиях Debian.

Странно, но как я и писал в 1 Debian, при разархивировании
2 папки — usr и DEBIAN.

Во 2й Debian, при разархивировании
Получаю три файла — control.tar.gz data.tar.gz и debian-binary.

В 1 Debian — нарушены зависимости и не может получить обновления из репозитория, во 2й Debian нет менеждера пакетов.

И много чего ещё. Вот такая каша.
Эксперементировал два часа — установка пакетов, зависимостей, изменение прав на файлы, установка через консоль и т.д. Не работает.

И я бы сказал-тут дело не в purebasic, а в Debian и его настройках — но я ничего в Debian не изменял.
Плюс множество программ и достаточно сложных сред разработки, поставились на ура.

От безысходности скачал что-то типа портативной версии purebasic. Запустил. Всё нормально, файлы открывает, но не компилирует. Пишет (перевожу)- Компилятор «упал» или неожиданно завершил свою работу. Пожалуйста, сообщите о том, что вызвало этот bug.

доцент

Зарегистрирован: Вт ноя 12, 2013 12:32 pm
Сообщений: 37
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

профессор

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 17 раз.
Пункты репутации: 10

доцент

Зарегистрирован: Вт ноя 12, 2013 12:32 pm
Сообщений: 37
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

Нет.
При первом запуске появляется выбор версии. Пустой, как на первой картинке.
И быстро появляется и исчезает окно добавление версии. Как будто хочет добавить что-то автоматически. Но ничего не появляется-добавляется.
Нажимаю на плюсик — появляестя окно добавление версии. Вижу путь (не изменяю), нажимаю ОК.
Нажимаю на purebasic-4 и ничего не происходит.

профессор

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 17 раз.
Пункты репутации: 10

доцент

Зарегистрирован: Вт ноя 12, 2013 12:32 pm
Сообщений: 37
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

Я просто установил пакет — ничего не распаковывал.
Куда он был установлен — сложно сказать т.к. часть файлов было установлено в usr/share, другие в usr/bin.
Файлов и папок достаточно много.

Кстати — коодинатор этого пакета -Вы )

профессор

Зарегистрирован: Чт дек 17, 2009 4:49 pm
Сообщений: 1230
Откуда: г. Ангарск
Благодарил (а): 2 раз.
Поблагодарили: 17 раз.
Пункты репутации: 10

МОДЕРАТОР

Зарегистрирован: Пн апр 09, 2007 4:53 pm
Сообщений: 11602
Благодарил (а): 4 раз.
Поблагодарили: 489 раз.

доцент

Зарегистрирован: Вт ноя 12, 2013 12:32 pm
Сообщений: 37
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Пункты репутации: 0

Ясно. Установил. Запустил-работает.
Откомпилировал.
Но программа не выполняет тех действий, что выполняла в Windows. (
Не вставляет строку в БД. Остальные действия выполняет. Компилятор-дебагер молчит.
Может дело в библиотеке libmysql.dll и под Linux надо другую?

Хотя это уже другой вопрос.
В любом случае, выбирал purebasic из-за простоты и кросплатформенности.
Но пока что-то с кросплотформенностью и установкой не айс.

Для сравнения, тот же QT устанавливается на Windows, Linux 3 командами. Все зависимости и т.д. -всё автоматически.
И уже содержит все нужные библиотеки — в том числе для работы с mysql.

источник

Читайте также:  Установка пилястр на шкаф

Добавить комментарий

Adblock
detector